---
title: "Is GitOps the next big thing in automation?"
author: Chrissie Buchanan
author_gitlab: cbuchanan
author_twitter: gitlab
categories: insights
image_title: '/images/blogimages/iac-gitops-blog-post_with-gl-logo.png'
description: "We polled our community on Twitter to ask about GitOps. Here is what we found."
tags: CI/CD, DevOps, community
cta_button_text: 'Watch: GitOps expert panel'
cta_button_link: 'https://about.gitlab.com/why/gitops-infrastructure-automation/'
twitter_text: "A surprising number of you told us you're already doing GitOps. Wow. Here's @gitlab's take on why that matters."
featured: no
postType: content marketing
merch_banner: merch_eight
related_posts:
  - "/blog/2020/12/17/gitlab-for-cicd-agile-gitops-cloudnative/"
  - "/blog/2019/07/01/using-ansible-and-gitlab-as-infrastructure-for-code/"
  - "/blog/2020/04/17/why-gitops-should-be-workflow-of-choice/"
---

Infrastructure management isn’t a new problem. After all, AWS has been publicly available since 2006. While the software development lifecycle is mostly automated, infrastructure remains a largely manual process that requires specialized teams. Infrastructure needs to be elastic, and automation would make that a much easier process than it is today.

[GitOps](/topics/gitops/) is an emerging technology term that could be the answer many infrastructure teams have been searching for. At its core, GitOps is a process that helps teams automate IT infrastructure through processes they already use in application development.

It’s a framework we’re excited about. Naturally, we took it to Twitter.

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">Where are YOU at with <a href="https://twitter.com/hashtag/GitOps?src=hash&amp;ref_src=twsrc%5Etfw">#GitOps</a>?</p>&mdash; GitLab (@gitlab) <a href="https://twitter.com/gitlab/status/1277595216468418560?ref_src=twsrc%5Etfw">June 29, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>

# What is GitOps?

What makes [GitOps](/solutions/gitops/) unique is that it’s not a single product, plugin, or platform. Before we dive into what we can learn from these results, let’s define what exactly GitOps _is_.

At GitLab, we define GitOps as this:

>GitOps is an operational framework that takes [DevOps](/topics/devops/) best practices used for application development such as version control, collaboration, compliance, and CI/CD, and applies them to infrastructure automation.

GitOps happens in the same version control system as application development, enabling teams to collaborate more in a central location while benefiting from all the [built-in features of Git](https://devops.com/an-inside-look-at-gitops/). Infrastructure teams that practice GitOps use configuration files stored as code (infrastructure as code).

Infrastructure teams then take IaC and make changes using [merge requests](/blog/2019/12/19/future-merge-requests-realtime-collab/) (MRs). Once changes are reviewed and approved, they are deployed using a CI/CD pipeline. With infrastructure changes codified, repeatable, and traceable, it leaves less room for human error and gets everyone on the same page.

>GitOps = IaC + MRs + CI/CD

We thought it would be interesting to reach out to our Twitter followers to see just how many people are exploring this framework, or maybe haven’t heard of it at all. Here’s what we gleaned from our poll.

## 23.8% use GitOps today

While we have to admit that GitLab followers are probably going to be a sophisticated group, numbers like this are still very encouraging. If almost a quarter of respondents are using this new framework, it tells us that GitOps is a viable way of automating infrastructure.

## 10.6% plan to implement GitOps

Implementing a new process can be difficult, even for the most organized teams. GitOps allows for greater collaboration, but that is not necessarily something that comes naturally. For infrastructure teams used to making quick, manual changes, this new process is a big departure. If more than 10% of respondents are looking to get started with GitOps, we can help them understand what goes into adopting the new framework.

## 11.6% have looked but not committed to GitOps

This kind of “shopping cart abandonment” differs from the type we’re most familiar with, but it has some similarities. For those that have heard of GitOps, what prevented them from implementing it and what hurdles did they anticipate?

GitOps principles can be applied to all types of infrastructure automation, including VMs and containers, and can be very effective for teams looking to manage [Kubernetes clusters](/solutions/kubernetes/). But there might be some confusion on whether Kubernetes is required for GitOps (it’s not). Still, over 11% of respondents are familiar with GitOps but may not understand how it can apply to them.

## 54% haven’t explored GitOps yet

Since GitOps is still emerging, it’s not surprising that more than half of the respondents haven’t explored it yet. GitOps is an exciting topic because it offers automation using many of the same tools organizations already use, but before committing to a brand new process, it’s important for organizations to know how it works.

Collaboration is part of what makes DevOps so effective, and [GitOps brings that same spirit of code collaboration into the infrastructure provisioning process](/blog/2019/11/04/gitlab-for-gitops-prt-1/). Managing infrastructure through the same version control system used for application development brings a new level of transparency across the entire organization.

As we continue to explore GitOps, information like this poll lets us know where the community is in the adoption of new processes. Could GitOps be the next big thing in automation?

If you’d like to learn more about GitOps and how it works, check out this panel with GitOps experts from [Weaveworks](https://www.weave.works), [HashiCorp](https://www.hashicorp.com), [Ansible](https://www.ansible.com), and GitLab where we discuss:

*   How GitOps is changing the landscape of infrastructure management
*   What successful GitOps looks like
*   What teams need to get started on their GitOps journey

{::options parse_block_html="true" /}

<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
Watch GitLab's [GitOps expert panel](/why/gitops-infrastructure-automation/) webcast
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{: .alert .alert-webcast}

**Read more about infrastructure:**

[Why GitOps should be the workflow of choice](/blog/2020/04/17/why-gitops-should-be-workflow-of-choice/)

[How to use GitLab and Ansible to create infrastructure as code](/blog/2019/07/01/using-ansible-and-gitlab-as-infrastructure-for-code/)

[How infrastructure teams use GitLab and Terraform for GitOps](/blog/2019/11/12/gitops-part-2/)
